Subject: Re: Feature Request: Branch Annotations

From: Junio C Hamano <[email-masked]>
Date: Wed, 08 Oct 2008 16:12:26 -0700

David Soria Parra <[email-masked]> writes:

>> Any opinions on this?
>
> would be great to have something like that build in git-core like
>
> git branch -i 'Fix bla' ds/fix next
> git branch -i
>  ds/fix (Fix Bla)

Haven't people watched Linus on google tech talk?  Here is an excerpt from
the transcript (http://git.or.cz/gitwiki/LinusTalk200705Transcript):

    ... well actually you shouldn't call it "test", you should basically
    name your branches the way you name your functions, you should call
    them something short and sweet and to the point -- What is that branch
    doing.

IOW, why did you name the branch "ds/fix" and not "ds/fix-bla"?